%define oname   em-socksify

Name:       ruby-%{oname}
Version:    0.2.1
Release:    %mkrel 3
Summary:    Adds SOCKS support to any protocol
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/igrigorik/em-socksify
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
Patch0:		em-socksify-0.2.1-verreq.patch
BuildRequires: rubygems
BuildArch:  noarch

%description
EventMachine SOCKSify shim: adds SOCKS support to any protocol.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
gunzip metadata.gz
%patch0 -p0
gzip metadata

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.2.1-3.mga3
+ Revision: 395892
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.2.1-2.mga3
+ Revision: 380853
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.2.1-1.mga3
+ Revision: 312912
- imported package ruby-em-socksify

